Name:             d3lphin
Version:          0.9.2
Release:          2%{?dist}
Summary:          A file manager for KDE focusing on usability

License:          GPLv2
Group:            User Interface/Desktops
URL:              https://marrat.homelinux.org/D3lphin
Source:           https://marrat.homelinux.org/D3lphin?action=AttachFile&do=get&target=/%{name}-%{version}.tar.gz

BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    kdelibs-devel
BuildRequires:    desktop-file-utils
BuildRequires:    gettext
Provides:         dolphin = %{version}-%{release}
Obsoletes:        dolphin <= 0.8.2


%description
D3lphin is a fork of dolphin, since the latter
is unmaintained for kde3.

D3lphin focuses on being only a file manager.
This approach allows to optimize the user
interface for the task of file management.

%prep
%setup -q
#d3lphin incorrect-locale-subdir fix
sed -e 's|d3lphin.po|en.po|g' -i po/Makefile.in
sed -e 's|d3lphin.gmo|en.gmo|g' -i po/Makefile.in
pushd po
mv d3lphin.po en.po
popd


%build

%configure --disable-rpath

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

desktop-file-install --vendor fedora            \
    --delete-original                           \
    --dir %{buildroot}%{_datadir}/applications/ \
    %{buildroot}%{_datadir}/applications/kde/%{name}.desktop


#incorrect-locale-subdir
%{__rm} -f %{buildroot}%{_datadir}/locale/%{name}/LC_MESSAGES/d3lphin.mo

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d %{buildroot}$HTML_DIR ]; then
for lang_dir in %{buildroot}$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi


%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING TODO
%{_bindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/apps/%{name}/
%{_docdir}/HTML/en/%{name}/
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/??x??/apps/%{name}.png



%Changelog
* Thu Aug 23 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.9.2-2
- New upstream version

* Wed Jul 18 2007 0.9.1-1
- Adopted dolphin-0.8.2 specfile for d3lphin-0.9.1

* Sun Apr 22 2007 Johan Cwiklinski <johan@x-tnd.be> 0.8.2-2
- Added gettext to BR so locales are correctly handled while building

* Sun Mar 18 2007 Johan Cwiklinski <johan.cwiklinski@fedoraproject.org> 0.8.2-1
- Upgrading to new version

* Sun Jan 14 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.8.1-1
- Initial package for Fedora Extras.
